%global namedreltag .GA
%global namedversion %{version}%{?namedreltag}
Name:          jbossxb
Version:       2.0.3
Release:       %mkrel 1
Summary:       JBoss XML Binding
Group:         Development/Java
License:       LGPLv2+
Url:           http://www.jboss.com/
# svn export http://anonsvn.jboss.org/repos/common/jbossxb/tags/2.0.3.GA jbossxb-2.0.3.GA
# tar czf jbossxb-2.0.3.GA-src-svn.tar.gz jbossxb-2.0.3.GA
Source0:       jbossxb-%{namedversion}-src-svn.tar.gz
# remove javax.activation
Patch0:        jbossxb-2.0.3.GA-no-activation.patch
# org.jboss.test jboss-test 1.1.4.GA
Patch1:        jbossxb-2.0.3.GA-no-test-deps.patch

BuildRequires: java-devel
BuildRequires: jboss-parent
BuildRequires: jpackage-utils

BuildRequires: dtdparser >= 1.21-5
BuildRequires: glassfish-jaxb-api
BuildRequires: jboss-common-core
BuildRequires: jboss-logging-spi
BuildRequires: jboss-reflect
BuildRequires: xerces-j2
BuildRequires: xml-commons-apis

# for test
# org.jboss.test jboss-test 1.1.4.GA
BuildRequires: junit4

BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-surefire-plugin

Requires:      dtdparser >= 1.21-5
Requires:      glassfish-jaxb-api
Requires:      jboss-common-core
Requires:      jboss-logging-spi
Requires:      jboss-reflect
Requires:      xerces-j2
Requires:      xml-commons-apis

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
JBoss XML Binding.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
%patch0 -p0
%patch1 -p0

sed -i "s|<groupId>sun-jaxb</groupId>|<groupId>javax.xml.bind</groupId>|" pom.xml
sed -i "s|<finalName>jboss-xml-binding</finalName>|<finalName>%{name}-%{namedversion}</finalName>|" pom.xml

%build

# test disabled unavailable deps
mvn-rpmbuild -Dmaven.test.skip=true install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}/jboss
install -pm 644 target/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}/jboss/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.jboss-%{name}.pom
%add_maven_depmap JPP.jboss-%{name}.pom jboss/%{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -r target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/jboss/%{name}.jar
%{_mavenpomdir}/JPP.jboss-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/%{name}

%changelog

* Sat Jan 21 2012 gil <gil> 2.0.3-1.mga2
+ Revision: 199157
- imported package jbossxb

